Skip to main content
GET
/
v1
/
esims
/
{iccid}
Get an eSIM
curl --request GET \
  --url https://api.bondio.co/v1/esims/{iccid} \
  --header 'Authorization: Bearer <token>'
{
  "iccid": "891004234814455936",
  "activationCode": "LPA:1$smdp.bondio.com$23LKL-32340MX-20349LIH",
  "msisdn": "449898978234",
  "label": "sigma"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

iccid
string
required

iccid of the esim

Response

Returns the esim information

iccid
string
required
msisdn
string
required
activationCode
string
required
label
string
required

The plan-esim compatibility label

availability
Availability · object
Example:
{
"gracePeriodFinishAction": "LAPSE",
"gracePeriodFinishAt": 1768481221,
"currentState": "ACTIVE"
}